#include "ColorAttribute.h"

ColorAttribute ColorAttribute::getDifferentColor (const ColorAttribute & baseColor) {
  return ColorAttribute (baseColor.green (), baseColor.blue (), baseColor.red ());
}

ColorAttribute:: ColorAttribute (int r, int g, int b) : QColor (r, g, b) {}

ColorAttribute::ColorAttribute (const QColor & color) : QColor (color) {}

void ColorAttribute::affectSurfel (SurfelInterface * surfel, Scene * scene, bool repaint) const {
  scene->setSurfelDiffuseColor (surfel, rgb (), repaint);
} 
