
#include "hfpolymesh.h"

void HFPolyMesh::AddFace1ToCell(int li, int lj, int lk){
	switch(itsCellGrid[li][lj][lk]&F1_4){
		case F1_0:
			itsCellGrid[li][lj][lk]|=F1_1;
			break;
		case F1_1:
			itsCellGrid[li][lj][lk]&= ~F1_1;
			itsCellGrid[li][lj][lk]|=F1_2;
			break;
		case F1_2:
			itsCellGrid[li][lj][lk]|=F1_4;
			break;
		default:
			break;
		}
	}

void HFPolyMesh::AddFace2ToCell(int li, int lj, int lk){
	switch(itsCellGrid[li][lj][lk]&F2_4){
		case F2_0:
			itsCellGrid[li][lj][lk]|=F2_1;
			break;
		case F2_1:
			itsCellGrid[li][lj][lk]&= ~F2_1;
			itsCellGrid[li][lj][lk]|=F2_2;
			break;
		case F2_2:
			itsCellGrid[li][lj][lk]|=F2_4;
			break;
		default:
			break;
		}
	}

void HFPolyMesh::AddFace3ToCell(int li, int lj, int lk){
	switch(itsCellGrid[li][lj][lk]&F3_4){
		case F3_0:
			itsCellGrid[li][lj][lk]|=F3_1;
			break;
		case F3_1:
			itsCellGrid[li][lj][lk]&= ~F3_1;
			itsCellGrid[li][lj][lk]|=F3_2;
			break;
		case F3_2:
			itsCellGrid[li][lj][lk]|=F3_4;
			break;
		default:
			break;
		}
	}

void HFPolyMesh::AddFace4ToCell(int li, int lj, int lk){
	switch(itsCellGrid[li][lj][lk]&F4_4){
		case F4_0:
			itsCellGrid[li][lj][lk]|=F4_1;
			break;
		case F4_1:
			itsCellGrid[li][lj][lk]&= ~F4_1;
			itsCellGrid[li][lj][lk]|=F4_2;
			break;
		case F4_2:
			itsCellGrid[li][lj][lk]|=F4_4;
			break;
		default:
			break;
		}
	}

void HFPolyMesh::AddFace5ToCell(int li, int lj, int lk){
	switch(itsCellGrid[li][lj][lk]&F5_4){
		case F5_0:
			itsCellGrid[li][lj][lk]|=F5_1;
			break;
		case F5_1:
			itsCellGrid[li][lj][lk]&= ~F5_1;
			itsCellGrid[li][lj][lk]|=F5_2;
			break;
		case F5_2:
			itsCellGrid[li][lj][lk]|=F5_4;
			break;
		default:
			break;
		}
	}

void HFPolyMesh::AddFace6ToCell(int li, int lj, int lk){
	switch(itsCellGrid[li][lj][lk]&F6_4){
		case F6_0:
			itsCellGrid[li][lj][lk]|=F6_1;
			break;
		case F6_1:
			itsCellGrid[li][lj][lk]&= ~F6_1;
			itsCellGrid[li][lj][lk]|=F6_2;
			break;
		case F6_2:
			itsCellGrid[li][lj][lk]|=F6_4;
			break;
		default:
			break;
		}
	}