
#include "hfpolymesh.h"

void HFPolyMesh::FillMatrix(){
	int VRCTMP=0;
	//*** Fill itsValGrid with function values ***
	std::cout << "Filling Function Grid \n";
	double Per=0.0;
	double Add=(double)(100.0/(double)itsGridSize[0]);
	int PerOut=0;
int average=0;
	itsSendingX[itsXMap]=itsBBMin[0];
	for(int i=0;i<=itsGridSize[0];i++){

		PerOut=(int)Per;
		std::cout << "\b\b\b\b\b\b\b" << PerOut << "%   ";
		Per+=Add;

		itsSendingX[itsYMap]=itsBBMin[1];
		for(int j=0;j<=itsGridSize[1];j++){
			itsSendingX[itsZMap]=itsBBMin[2];
			for(int k=0;k<=itsGridSize[2];k++){

				/***ADDED FOR S ATTRIBUTES*/
				//reset of the S array. But is it needed??
				for(int p=0;p<itsSSize;p++) itsSAttributes[p]=0.0;
				itsValGrid[i][j][k]=calc(itsSendingX,itsSAttributes);
			
				//*** Change Any Points That Lie on the IsoSurface ***
				if(fabs(itsValGrid[i][j][k]-itsS0)<itsEPS){ 
					itsValGrid[i][j][k]+=(10.0*itsEPS);
					VRCTMP++;
					}
				//*** Fill itsBoolGrid ***
				itsBoolGrid[i][j][k]=itsValGrid[i][j][k]>itsS0;
	
				itsSendingX[itsZMap]+=itsDelta[2];
				}
			itsSendingX[itsYMap]+=itsDelta[1];
			}
		itsSendingX[itsXMap]+=itsDelta[0];
		}

	std::cout << "\b\b\b\b\b\b\b" << 100 << "%   ";
	std::cout << "\n\n";
	std::cout << "RARE CASE: " << VRCTMP << "\n\n";
		

	}

