#include "SimpleColorTexture.h"

SimpleColorTexture * DEFAULT_SIMPLECOLOR = new SimpleColorTexture;

SimpleColorTexture::SimpleColorTexture (QString n, int red, int green, int blue) 
  : TextureInterface(n) {
  color.setRgb (red, green, blue);
}
 
void SimpleColorTexture::writeHFString (QTextStream &) {
}

void SimpleColorTexture::writeDefArray (QTextStream &) {
}

void SimpleColorTexture::writeDefBody (QTextStream & outStream) {
  outStream << "[" << (float)color.red () / 255.0 << ", " 
	    << (float)color.green () / 255.0 << ", " 
	    << (float)color.blue () / 255.0 << "]";
}

void SimpleColorTexture::save (QTextStream & stream) {
  stream << "SimpleColorTexture " << getName () << " " << color.red () << " " 
	 << color.green () << " " << color.blue ();
}

void SimpleColorTexture::load (QTextStream & stream) {  
  int r,g,b;
  QString n;
  stream >> n >> r >> g >> b ;
  setName (n);
  color.setRgb(r, g, b);   
} 
